# HG changeset patch
# User holger
# Date 1293568178 -3600
# Node ID c982d5c6f5eb6251b88e8148d54bb4c266dddd55
# Parent 871206936ec2699a3cb78929acb2e2efaf2df084
bump postgres to 9.0.2
diff -r 871206936ec2 -r c982d5c6f5eb dev-db/postgresql-base/Manifest
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/dev-db/postgresql-base/Manifest Tue Dec 28 21:29:38 2010 +0100
@@ -0,0 +1,5 @@
+AUX postgresql-9.0-base.3.patch 4961 RMD160 2c9d53ddfeab3fb162c1423e362ae01f54318089 SHA1 9a285971587eca1733d441b2440804dd12597979 SHA256 35c555da25ae4a5e4d00ce74a0130e140e70ed23d12f526bef06c866fdd78362
+AUX postgresql-9.0-common.3.patch 782 RMD160 b826f93738443d7330752babf838b3706351f921 SHA1 af928e62ccd161366e3f6fccf8b47eeb4f4ae1dd SHA256 0339ed502e035330feb62e66927804a1b7506163cb584a152abdd2987f210d33
+DIST postgresql-9.0.2.tar.bz2 14024244 RMD160 3313b4bafe3af6282f68f198da7d50af4d5c01c4 SHA1 42a9518a2f11fa1d09a23bc628b00e992d3bcf4a SHA256 ffb58195850aa0ec9b7b3dcdac51a6dee0c76ea3387b76c805e1c4d186fe2af5
+EBUILD postgresql-base-9.0.2.ebuild 4488 RMD160 316b1cba8990ae6b8617058474ab4e1c0b9b5b98 SHA1 04ff208b7b0de70eeab5f32e11c0120c2801f67d SHA256 fc7279089b216ad47a2b8edec31fcf594bc2ec4d520646dab0e460cced5f6d63
+MISC metadata.xml 472 RMD160 fe3dc42a49cd1445788d023578d878c6226c72e0 SHA1 f03eda301fc89bf31cfb64bb6cc2cc4ca33cb632 SHA256 ee20753f4083988318c4c30155901e99a800dc8fb19fd77c80f9947c72abbf4c
diff -r 871206936ec2 -r c982d5c6f5eb dev-db/postgresql-base/files/postgresql-9.0-base.3.patch
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/dev-db/postgresql-base/files/postgresql-9.0-base.3.patch Tue Dec 28 21:29:38 2010 +0100
@@ -0,0 +1,147 @@
+diff -Naur postgresql-9.0beta3.orig/contrib/Makefile postgresql-9.0beta3/contrib/Makefile
+--- postgresql-9.0beta3.orig/contrib/Makefile 2010-06-14 12:17:56.000000000 -0400
++++ postgresql-9.0beta3/contrib/Makefile 2010-07-11 23:41:57.680531730 -0400
+@@ -5,51 +5,14 @@
+ include $(top_builddir)/src/Makefile.global
+
+ SUBDIRS = \
+- adminpack \
+- auto_explain \
+- btree_gin \
+- btree_gist \
+- chkpass \
+- citext \
+- cube \
+- dblink \
+- dict_int \
+- dict_xsyn \
+- earthdistance \
+- fuzzystrmatch \
+- hstore \
+- intagg \
+- intarray \
+- isn \
+- lo \
+- ltree \
+ oid2name \
+- pageinspect \
+ passwordcheck \
+- pg_archivecleanup \
+- pg_buffercache \
+- pg_freespacemap \
+- pg_standby \
+- pg_stat_statements \
+- pg_trgm \
+ pg_upgrade \
+ pg_upgrade_support \
+ pgbench \
+- pgcrypto \
+- pgrowlocks \
+- pgstattuple \
+- seg \
+- spi \
+- tablefunc \
+- test_parser \
+- tsearch2 \
+ unaccent \
+ vacuumlo
+
+-ifeq ($(with_openssl),yes)
+-SUBDIRS += sslinfo
+-endif
+-
+ ifeq ($(with_ossp_uuid),yes)
+ SUBDIRS += uuid-ossp
+ endif
+diff -Naur postgresql-9.0beta3.orig/src/backend/Makefile postgresql-9.0beta3/src/backend/Makefile
+--- postgresql-9.0beta3.orig/src/backend/Makefile 2010-07-05 14:54:37.000000000 -0400
++++ postgresql-9.0beta3/src/backend/Makefile 2010-07-11 23:46:58.347527452 -0400
+@@ -45,7 +45,7 @@
+
+ ##########################################################################
+
+-all: submake-libpgport submake-schemapg postgres $(POSTGRES_IMP)
++all: someheaders
+
+ ifneq ($(PORTNAME), cygwin)
+ ifneq ($(PORTNAME), win32)
+@@ -114,7 +114,7 @@
+ endif # aix
+
+ # Update the commonly used headers before building the subdirectories
+-$(SUBDIRS:%=%-recursive): $(top_builddir)/src/include/parser/gram.h $(top_builddir)/src/include/catalog/schemapg.h $(top_builddir)/src/include/utils/fmgroids.h $(top_builddir)/src/include/utils/probes.h
++someheaders $(SUBDIRS:%=%-recursive): $(top_builddir)/src/include/parser/gram.h $(top_builddir)/src/include/utils/fmgroids.h $(top_builddir)/src/include/utils/probes.h
+
+ # run this unconditionally to avoid needing to know its dependencies here:
+ submake-schemapg:
+@@ -191,23 +191,7 @@
+
+ ##########################################################################
+
+-install: all installdirs install-bin
+-ifeq ($(PORTNAME), cygwin)
+-ifeq ($(MAKE_DLL), true)
+- $(INSTALL_DATA) libpostgres.a '$(DESTDIR)$(libdir)/libpostgres.a'
+-endif
+-endif
+-ifeq ($(PORTNAME), win32)
+-ifeq ($(MAKE_DLL), true)
+- $(INSTALL_DATA) libpostgres.a '$(DESTDIR)$(libdir)/libpostgres.a'
+-endif
+-endif
+- $(MAKE) -C catalog install-data
+- $(MAKE) -C tsearch install-data
+- $(INSTALL_DATA) $(srcdir)/libpq/pg_hba.conf.sample '$(DESTDIR)$(datadir)/pg_hba.conf.sample'
+- $(INSTALL_DATA) $(srcdir)/libpq/pg_ident.conf.sample '$(DESTDIR)$(datadir)/pg_ident.conf.sample'
+- $(INSTALL_DATA) $(srcdir)/utils/misc/postgresql.conf.sample '$(DESTDIR)$(datadir)/postgresql.conf.sample'
+- $(INSTALL_DATA) $(srcdir)/access/transam/recovery.conf.sample '$(DESTDIR)$(datadir)/recovery.conf.sample'
++install:
+
+ install-bin: postgres $(POSTGRES_IMP) installdirs
+ $(INSTALL_PROGRAM) postgres$(X) '$(DESTDIR)$(bindir)/postgres$(X)'
+diff -Naur postgresql-9.0beta3.orig/src/bin/Makefile postgresql-9.0beta3/src/bin/Makefile
+--- postgresql-9.0beta3.orig/src/bin/Makefile 2010-01-02 11:57:58.000000000 -0500
++++ postgresql-9.0beta3/src/bin/Makefile 2010-07-11 23:50:10.762585482 -0400
+@@ -13,8 +13,7 @@
+ top_builddir = ../..
+ include $(top_builddir)/src/Makefile.global
+
+-SUBDIRS = initdb pg_ctl pg_dump \
+- psql scripts pg_config pg_controldata pg_resetxlog
++SUBDIRS = pg_dump psql scripts pg_config
+ ifeq ($(PORTNAME), win32)
+ SUBDIRS+=pgevent
+ endif
+diff -Naur postgresql-9.0beta3.orig/src/include/pg_config_manual.h postgresql-9.0beta3/src/include/pg_config_manual.h
+--- postgresql-9.0beta3.orig/src/include/pg_config_manual.h 2010-01-06 23:53:35.000000000 -0500
++++ postgresql-9.0beta3/src/include/pg_config_manual.h 2010-07-11 23:51:39.925527262 -0400
+@@ -141,7 +141,7 @@
+ * here's where to twiddle it. You can also override this at runtime
+ * with the postmaster's -k switch.
+ */
+-#define DEFAULT_PGSOCKET_DIR "/tmp"
++#define DEFAULT_PGSOCKET_DIR "/var/run/postgresql"
+
+ /*
+ * The random() function is expected to yield values between 0 and
+diff -Naur postgresql-9.0beta3.orig/src/Makefile postgresql-9.0beta3/src/Makefile
+--- postgresql-9.0beta3.orig/src/Makefile 2010-01-20 04:16:23.000000000 -0500
++++ postgresql-9.0beta3/src/Makefile 2010-07-11 23:53:43.768528995 -0400
+@@ -15,17 +15,12 @@
+
+ all install installdirs uninstall distprep:
+ $(MAKE) -C port $@
+- $(MAKE) -C timezone $@
+ $(MAKE) -C backend $@
+- $(MAKE) -C backend/utils/mb/conversion_procs $@
+- $(MAKE) -C backend/snowball $@
+ $(MAKE) -C include $@
+ $(MAKE) -C interfaces $@
+ $(MAKE) -C backend/replication/libpqwalreceiver $@
+ $(MAKE) -C bin $@
+- $(MAKE) -C pl $@
+ $(MAKE) -C makefiles $@
+- $(MAKE) -C test/regress $@
+
+ install: install-local
+
diff -r 871206936ec2 -r c982d5c6f5eb dev-db/postgresql-base/files/postgresql-9.0-common.3.patch
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/dev-db/postgresql-base/files/postgresql-9.0-common.3.patch Tue Dec 28 21:29:38 2010 +0100
@@ -0,0 +1,14 @@
+diff -Naur postgresql-9.0beta3.orig/configure.in postgresql-9.0beta3/configure.in
+--- postgresql-9.0beta3.orig/configure.in 2010-07-08 22:43:12.000000000 -0400
++++ postgresql-9.0beta3/configure.in 2010-07-12 00:13:37.585527031 -0400
+@@ -19,10 +19,6 @@
+
+ AC_INIT([PostgreSQL], [9.0beta3], [pgsql-bugs@postgresql.org])
+
+-m4_if(m4_defn([m4_PACKAGE_VERSION]), [2.63], [], [m4_fatal([Autoconf version 2.63 is required.
+-Untested combinations of 'autoconf' and PostgreSQL versions are not
+-recommended. You can remove the check from 'configure.in' but it is then
+-your responsibility whether the result works or not.])])
+ AC_COPYRIGHT([Copyright (c) 1996-2010, PostgreSQL Global Development Group])
+ AC_CONFIG_SRCDIR([src/backend/access/common/heaptuple.c])
+ AC_CONFIG_AUX_DIR(config)
diff -r 871206936ec2 -r c982d5c6f5eb dev-db/postgresql-base/metadata.xml
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/dev-db/postgresql-base/metadata.xml Tue Dec 28 21:29:38 2010 +0100
@@ -0,0 +1,13 @@
+
+
+
+postgresql
+
+
diff -r 871206936ec2 -r c982d5c6f5eb dev-db/postgresql-base/postgresql-base-9.0.2.ebuild
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/dev-db/postgresql-base/postgresql-base-9.0.2.ebuild Tue Dec 28 21:29:38 2010 +0100
@@ -0,0 +1,155 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-db/postgresql-base/postgresql-base-9.0.1.ebuild,v 1.1 2010/10/06 14:57:13 patrick Exp $
+
+EAPI="2"
+
+WANT_AUTOMAKE="none"
+
+inherit eutils multilib versionator autotools
+
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
+
+DESCRIPTION="PostgreSQL libraries and clients"
+HOMEPAGE="http://www.postgresql.org/"
+
+MY_PV=${PV/_/}
+SRC_URI="mirror://postgresql/source/v${MY_PV}/postgresql-${MY_PV}.tar.bz2"
+S=${WORKDIR}/postgresql-${MY_PV}
+
+LICENSE="POSTGRESQL"
+SLOT="$(get_version_component_range 1-2)"
+LINGUAS="af cs de es fa fr hr hu it ko nb pl pt_BR ro ru sk sl sv tr zh_CN zh_TW"
+IUSE="doc kerberos ldap nls pam pg_legacytimestamp readline ssl threads zlib"
+
+for lingua in ${LINGUAS}; do
+ IUSE+=" linguas_${lingua}"
+done
+
+RESTRICT="test"
+
+wanted_languages() {
+ local enable_langs
+
+ for lingua in ${LINGUAS} ; do
+ use linguas_${lingua} && enable_langs+="${lingua} "
+ done
+
+ echo -n ${enable_langs}
+}
+
+RDEPEND="!!dev-db/postgresql-libs
+ !!dev-db/postgresql-client
+ !!dev-db/libpq
+ !!dev-db/postgresql
+ >=app-admin/eselect-postgresql-0.3
+ virtual/libintl
+ kerberos? ( virtual/krb5 )
+ ldap? ( net-nds/openldap )
+ pam? ( virtual/pam )
+ readline? ( sys-libs/readline )
+ ssl? ( >=dev-libs/openssl-0.9.6-r1 )
+ zlib? ( sys-libs/zlib )"
+DEPEND="${RDEPEND}
+ sys-devel/bison
+ sys-devel/flex
+ nls? ( sys-devel/gettext )"
+PDEPEND="doc? ( ~dev-db/postgresql-docs-${PV} )"
+
+src_prepare() {
+ epatch "${FILESDIR}/postgresql-9.0-common.3.patch" \
+ "${FILESDIR}/postgresql-${SLOT}-base.3.patch"
+
+ # to avoid collision - it only should be installed by server
+ rm "${S}/src/backend/nls.mk"
+
+ # because psql/help.c includes the file
+ ln -s "${S}/src/include/libpq/pqsignal.h" "${S}/src/bin/psql/" || die
+
+ eautoconf
+}
+
+src_configure() {
+ export LDFLAGS_SL="${LDFLAGS}"
+ econf \
+ --prefix=/usr/$(get_libdir)/postgresql-${SLOT} \
+ --datadir=/usr/share/postgresql-${SLOT} \
+ --docdir=/usr/share/doc/postgresql-${SLOT} \
+ --sysconfdir=/etc/postgresql-${SLOT} \
+ --includedir=/usr/include/postgresql-${SLOT} \
+ --mandir=/usr/share/postgresql-${SLOT}/man \
+ --enable-depend \
+ --without-tcl \
+ --without-perl \
+ --without-python \
+ $(use_with readline) \
+ $(use_with kerberos krb5) \
+ $(use_with kerberos gssapi) \
+ "$(use_enable nls nls "$(wanted_languages)")" \
+ $(use_with pam) \
+ $(use_enable !pg_legacytimestamp integer-datetimes) \
+ $(use_with ssl openssl) \
+ $(use_enable threads thread-safety) \
+ $(use_with zlib) \
+ $(use_with ldap)
+}
+
+src_compile() {
+ emake || die "emake failed"
+
+ cd "${S}/contrib"
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+ insinto /usr/include/postgresql-${SLOT}/postmaster
+ doins "${S}"/src/include/postmaster/*.h || die
+
+ dodir /usr/share/postgresql-${SLOT}/man/man1/ || die
+ cp "${S}"/doc/src/sgml/man1/* "${D}"/usr/share/postgresql-${SLOT}/man/man1/ || die
+
+ rm "${D}/usr/share/postgresql-${SLOT}/man/man1"/{initdb,ipcclean,pg_controldata,pg_ctl,pg_resetxlog,pg_restore,postgres,postmaster}.1
+ dodoc README HISTORY doc/{README.*,TODO,bug.template} || die
+
+ cd "${S}/contrib"
+ emake DESTDIR="${D}" install || die "emake install failed"
+ cd "${S}"
+
+ dodir /etc/eselect/postgresql/slots/${SLOT} || die
+
+ IDIR="/usr/include/postgresql-${SLOT}"
+ cat > "${D}/etc/eselect/postgresql/slots/${SLOT}/base" <<-__EOF__
+postgres_ebuilds="\${postgres_ebuilds} ${PF}"
+postgres_prefix=/usr/$(get_libdir)/postgresql-${SLOT}
+postgres_datadir=/usr/share/postgresql-${SLOT}
+postgres_bindir=/usr/$(get_libdir)/postgresql-${SLOT}/bin
+postgres_symlinks=(
+ ${IDIR} /usr/include/postgresql
+ ${IDIR}/libpq-fe.h /usr/include/libpq-fe.h
+ ${IDIR}/pg_config_manual.h /usr/include/pg_config_manual.h
+ ${IDIR}/libpq /usr/include/libpq
+ ${IDIR}/postgres_ext.h /usr/include/postgres_ext.h
+)
+__EOF__
+
+ cat >"${T}/50postgresql-94-${SLOT}" <<-__EOF__
+LDPATH=/usr/$(get_libdir)/postgresql-${SLOT}/$(get_libdir)
+MANPATH=/usr/share/postgresql-${SLOT}/man
+__EOF__
+ doenvd "${T}/50postgresql-94-${SLOT}" || die
+
+ keepdir /etc/postgresql-${SLOT} || die
+}
+
+pkg_postinst() {
+ eselect postgresql update
+ [[ "$(eselect postgresql show)" = "(none)" ]] && eselect postgresql set ${SLOT}
+ elog "If you need a global psqlrc-file, you can place it in:"
+ elog " '${ROOT}/etc/postgresql-${SLOT}/'"
+ elog
+}
+
+pkg_postrm() {
+ eselect postgresql update
+}
diff -r 871206936ec2 -r c982d5c6f5eb dev-db/postgresql-server/Manifest
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/dev-db/postgresql-server/Manifest Tue Dec 28 21:29:38 2010 +0100
@@ -0,0 +1,7 @@
+AUX postgresql-9.0-common.3.patch 782 RMD160 b826f93738443d7330752babf838b3706351f921 SHA1 af928e62ccd161366e3f6fccf8b47eeb4f4ae1dd SHA256 0339ed502e035330feb62e66927804a1b7506163cb584a152abdd2987f210d33
+AUX postgresql-9.0-server.3.patch 8076 RMD160 03883f576e9307876fa47236b498f0dd9e833d8f SHA1 bc640b3bafff25d21bb1f274b3e1d05bc00bc474 SHA256 0e0c13d3cea708dc5d512a53ace1b77ff3c94f2cde98815e417cc2fba70481c7
+AUX postgresql.conf-9.0-r1 1691 RMD160 752a860bf07f4bc0b340179d460a965aa6908820 SHA1 13b1c810e402bc67b940b721bde7872f6ec078ed SHA256 389c104d73647b9e9199d93836f8b38c280a844e3e1f1d39552871be0023b7bd
+AUX postgresql.init-9.0-r1 3861 RMD160 f8c9a1d874e81932e6df6dcb0c68287dad68d44f SHA1 ac761e2b0d95e5d87422f8552427987363fd8894 SHA256 707a65b4fe1b5f379a7fc865c81e9ba083b4dab0dab8652c2fbe1174a1fc7c46
+DIST postgresql-9.0.2.tar.bz2 14024244 RMD160 3313b4bafe3af6282f68f198da7d50af4d5c01c4 SHA1 42a9518a2f11fa1d09a23bc628b00e992d3bcf4a SHA256 ffb58195850aa0ec9b7b3dcdac51a6dee0c76ea3387b76c805e1c4d186fe2af5
+EBUILD postgresql-server-9.0.2.ebuild 10183 RMD160 5f255d1dfea7a0f9552dcad297120a4c3033bbe4 SHA1 a6b66a74c613e8f51fb31fb1f7dfff20bd6c68f7 SHA256 48896f6c81687bb650bffb309dd4502f7a005b380a34e2277b9ff330d528cc25
+MISC metadata.xml 420 RMD160 789f5a0ce45d05125098fd7e74a816cf08f4c39b SHA1 d308d7434a37f12cd320f74ed85e1d3ca7dabc75 SHA256 ac37a5084450a782d02510149d030bd0d4a63164f2ffb7bdda3ddf344606ca62
diff -r 871206936ec2 -r c982d5c6f5eb dev-db/postgresql-server/files/postgresql-9.0-common.3.patch
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/dev-db/postgresql-server/files/postgresql-9.0-common.3.patch Tue Dec 28 21:29:38 2010 +0100
@@ -0,0 +1,14 @@
+diff -Naur postgresql-9.0beta3.orig/configure.in postgresql-9.0beta3/configure.in
+--- postgresql-9.0beta3.orig/configure.in 2010-07-08 22:43:12.000000000 -0400
++++ postgresql-9.0beta3/configure.in 2010-07-12 00:13:37.585527031 -0400
+@@ -19,10 +19,6 @@
+
+ AC_INIT([PostgreSQL], [9.0beta3], [pgsql-bugs@postgresql.org])
+
+-m4_if(m4_defn([m4_PACKAGE_VERSION]), [2.63], [], [m4_fatal([Autoconf version 2.63 is required.
+-Untested combinations of 'autoconf' and PostgreSQL versions are not
+-recommended. You can remove the check from 'configure.in' but it is then
+-your responsibility whether the result works or not.])])
+ AC_COPYRIGHT([Copyright (c) 1996-2010, PostgreSQL Global Development Group])
+ AC_CONFIG_SRCDIR([src/backend/access/common/heaptuple.c])
+ AC_CONFIG_AUX_DIR(config)
diff -r 871206936ec2 -r c982d5c6f5eb dev-db/postgresql-server/files/postgresql-9.0-server.3.patch
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/dev-db/postgresql-server/files/postgresql-9.0-server.3.patch Tue Dec 28 21:29:38 2010 +0100
@@ -0,0 +1,213 @@
+diff -Naur postgresql-9.0beta3.orig/contrib/adminpack/Makefile postgresql-9.0beta3/contrib/adminpack/Makefile
+--- postgresql-9.0beta3.orig/contrib/adminpack/Makefile 2007-11-10 18:59:50.000000000 -0500
++++ postgresql-9.0beta3/contrib/adminpack/Makefile 2010-07-12 08:41:54.894528045 -0400
+@@ -1,7 +1,7 @@
+ # $PostgreSQL: pgsql/contrib/adminpack/Makefile,v 1.6 2007/11/10 23:59:50 momjian Exp $
+
+ MODULE_big = adminpack
+-PG_CPPFLAGS = -I$(libpq_srcdir)
++PG_CPPFLAGS = -I$(libpq_srcdir) -I../../src/include/
+ DATA_built = adminpack.sql
+ DATA = uninstall_adminpack.sql
+ OBJS = adminpack.o
+diff -Naur postgresql-9.0beta3.orig/contrib/dblink/Makefile postgresql-9.0beta3/contrib/dblink/Makefile
+--- postgresql-9.0beta3.orig/contrib/dblink/Makefile 2007-11-10 18:59:50.000000000 -0500
++++ postgresql-9.0beta3/contrib/dblink/Makefile 2010-07-12 08:41:54.894528045 -0400
+@@ -1,7 +1,7 @@
+ # $PostgreSQL: pgsql/contrib/dblink/Makefile,v 1.15 2007/11/10 23:59:50 momjian Exp $
+
+ MODULE_big = dblink
+-PG_CPPFLAGS = -I$(libpq_srcdir)
++PG_CPPFLAGS = -I$(libpq_srcdir) -I../../src/include/
+ OBJS = dblink.o
+ SHLIB_LINK = $(libpq)
+
+diff -Naur postgresql-9.0beta3.orig/contrib/Makefile postgresql-9.0beta3/contrib/Makefile
+--- postgresql-9.0beta3.orig/contrib/Makefile 2010-06-14 12:17:56.000000000 -0400
++++ postgresql-9.0beta3/contrib/Makefile 2010-07-12 08:41:54.895528185 -0400
+@@ -23,18 +23,13 @@
+ isn \
+ lo \
+ ltree \
+- oid2name \
+ pageinspect \
+- passwordcheck \
+ pg_archivecleanup \
+ pg_buffercache \
+ pg_freespacemap \
+ pg_standby \
+ pg_stat_statements \
+ pg_trgm \
+- pg_upgrade \
+- pg_upgrade_support \
+- pgbench \
+ pgcrypto \
+ pgrowlocks \
+ pgstattuple \
+@@ -42,9 +37,7 @@
+ spi \
+ tablefunc \
+ test_parser \
+- tsearch2 \
+- unaccent \
+- vacuumlo
++ tsearch2
+
+ ifeq ($(with_openssl),yes)
+ SUBDIRS += sslinfo
+diff -Naur postgresql-9.0beta3.orig/contrib/uuid-ossp/Makefile postgresql-9.0beta3/contrib/uuid-ossp/Makefile
+--- postgresql-9.0beta3.orig/contrib/uuid-ossp/Makefile 2007-11-12 19:13:19.000000000 -0500
++++ postgresql-9.0beta3/contrib/uuid-ossp/Makefile 2010-07-12 08:41:54.895528185 -0400
+@@ -1,11 +1,13 @@
+ # $PostgreSQL: pgsql/contrib/uuid-ossp/Makefile,v 1.4 2007/11/13 00:13:19 tgl Exp $
+
++PG_CPPFLAGS += "-DHAVE_OSSP_UUID_H"
++
+ MODULE_big = uuid-ossp
+ OBJS = uuid-ossp.o
+ DATA_built = uuid-ossp.sql
+ DATA = uninstall_uuid-ossp.sql
+
+-SHLIB_LINK += $(OSSP_UUID_LIBS)
++SHLIB_LINK += -lossp-uuid
+
+ ifdef USE_PGXS
+ PG_CONFIG = pg_config
+diff -Naur postgresql-9.0beta3.orig/contrib/xml2/Makefile postgresql-9.0beta3/contrib/xml2/Makefile
+--- postgresql-9.0beta3.orig/contrib/xml2/Makefile 2010-03-01 13:07:59.000000000 -0500
++++ postgresql-9.0beta3/contrib/xml2/Makefile 2010-07-12 08:41:54.895528185 -0400
+@@ -4,7 +4,8 @@
+
+ OBJS = xpath.o xslt_proc.o
+
+-SHLIB_LINK += $(filter -lxslt, $(LIBS)) $(filter -lxml2, $(LIBS))
++PG_CPPFLAGS = $(shell xml2-config --cflags)
++SHLIB_LINK += $(shell xml2-config --libs) $(shell xslt-config --libs)
+
+ DATA_built = pgxml.sql
+ DATA = uninstall_pgxml.sql
+diff -Naur postgresql-9.0beta3.orig/GNUmakefile.in postgresql-9.0beta3/GNUmakefile.in
+--- postgresql-9.0beta3.orig/GNUmakefile.in 2010-03-29 20:10:46.000000000 -0400
++++ postgresql-9.0beta3/GNUmakefile.in 2010-07-12 08:41:54.895528185 -0400
+@@ -10,7 +10,6 @@
+
+ all:
+ $(MAKE) -C src all
+- $(MAKE) -C config all
+ @echo "All of PostgreSQL successfully made. Ready to install."
+
+ docs:
+@@ -28,7 +27,6 @@
+
+ install:
+ $(MAKE) -C src $@
+- $(MAKE) -C config $@
+ @echo "PostgreSQL installation complete."
+
+ install-docs:
+@@ -44,7 +42,6 @@
+ installdirs uninstall coverage:
+ $(MAKE) -C doc $@
+ $(MAKE) -C src $@
+- $(MAKE) -C config $@
+
+ distprep:
+ $(MAKE) -C doc $@
+diff -Naur postgresql-9.0beta3.orig/src/bin/initdb/Makefile postgresql-9.0beta3/src/bin/initdb/Makefile
+--- postgresql-9.0beta3.orig/src/bin/initdb/Makefile 2010-07-05 14:54:37.000000000 -0400
++++ postgresql-9.0beta3/src/bin/initdb/Makefile 2010-07-12 08:41:54.895528185 -0400
+@@ -16,7 +16,7 @@
+ top_builddir = ../../..
+ include $(top_builddir)/src/Makefile.global
+
+-override CPPFLAGS := -DFRONTEND -I$(libpq_srcdir) $(CPPFLAGS)
++override CPPFLAGS := -DFRONTEND -I$(top_srcdir)/src/interfaces/libpq $(CPPFLAGS)
+
+ OBJS= initdb.o encnames.o pqsignal.o $(WIN32RES)
+
+diff -Naur postgresql-9.0beta3.orig/src/bin/Makefile postgresql-9.0beta3/src/bin/Makefile
+--- postgresql-9.0beta3.orig/src/bin/Makefile 2010-01-02 11:57:58.000000000 -0500
++++ postgresql-9.0beta3/src/bin/Makefile 2010-07-12 08:41:54.896527913 -0400
+@@ -13,8 +13,8 @@
+ top_builddir = ../..
+ include $(top_builddir)/src/Makefile.global
+
+-SUBDIRS = initdb pg_ctl pg_dump \
+- psql scripts pg_config pg_controldata pg_resetxlog
++SUBDIRS = initdb pg_ctl \
++ pg_controldata pg_resetxlog
+ ifeq ($(PORTNAME), win32)
+ SUBDIRS+=pgevent
+ endif
+diff -Naur postgresql-9.0beta3.orig/src/include/pg_config_manual.h postgresql-9.0beta3/src/include/pg_config_manual.h
+--- postgresql-9.0beta3.orig/src/include/pg_config_manual.h 2010-01-06 23:53:35.000000000 -0500
++++ postgresql-9.0beta3/src/include/pg_config_manual.h 2010-07-12 08:41:54.896527913 -0400
+@@ -141,7 +141,7 @@
+ * here's where to twiddle it. You can also override this at runtime
+ * with the postmaster's -k switch.
+ */
+-#define DEFAULT_PGSOCKET_DIR "/tmp"
++#define DEFAULT_PGSOCKET_DIR "/var/run/postgresql"
+
+ /*
+ * The random() function is expected to yield values between 0 and
+diff -Naur postgresql-9.0beta3.orig/src/Makefile postgresql-9.0beta3/src/Makefile
+--- postgresql-9.0beta3.orig/src/Makefile 2010-01-20 04:16:23.000000000 -0500
++++ postgresql-9.0beta3/src/Makefile 2010-07-12 08:41:54.896527913 -0400
+@@ -19,15 +19,11 @@
+ $(MAKE) -C backend $@
+ $(MAKE) -C backend/utils/mb/conversion_procs $@
+ $(MAKE) -C backend/snowball $@
+- $(MAKE) -C include $@
+- $(MAKE) -C interfaces $@
+- $(MAKE) -C backend/replication/libpqwalreceiver $@
+ $(MAKE) -C bin $@
+ $(MAKE) -C pl $@
+- $(MAKE) -C makefiles $@
+ $(MAKE) -C test/regress $@
+
+-install: install-local
++install:
+
+ install-local: installdirs-local
+ $(INSTALL_DATA) Makefile.global '$(DESTDIR)$(pgxsdir)/$(subdir)/Makefile.global'
+diff -Naur postgresql-9.0beta3.orig/src/Makefile.global.in postgresql-9.0beta3/src/Makefile.global.in
+--- postgresql-9.0beta3.orig/src/Makefile.global.in 2010-07-06 18:03:05.000000000 -0400
++++ postgresql-9.0beta3/src/Makefile.global.in 2010-07-12 08:41:54.897527811 -0400
+@@ -458,6 +458,7 @@
+ LDFLAGS += $(PROFILE)
+ endif
+
++CFLAGS += -I${top_srcdir}/src/include
+
+ ##########################################################################
+ #
+diff -Naur postgresql-9.0beta3.orig/src/port/Makefile postgresql-9.0beta3/src/port/Makefile
+--- postgresql-9.0beta3.orig/src/port/Makefile 2010-07-02 13:03:30.000000000 -0400
++++ postgresql-9.0beta3/src/port/Makefile 2010-07-12 08:41:54.898529044 -0400
+@@ -39,11 +39,10 @@
+ # foo_srv.o and foo.o are both built from foo.c, but only foo.o has -DFRONTEND
+ OBJS_SRV = $(OBJS:%.o=%_srv.o)
+
+-all: libpgport.a libpgport_srv.a
++all: libpgport_srv.a
+
+ # libpgport is needed by some contrib
+-install: all installdirs
+- $(INSTALL_STLIB) libpgport.a '$(DESTDIR)$(libdir)/libpgport.a'
++install:
+
+ installdirs:
+ $(MKDIR_P) '$(DESTDIR)$(libdir)'
+diff -Naur postgresql-9.0beta3.orig/src/test/regress/GNUmakefile postgresql-9.0beta3/src/test/regress/GNUmakefile
+--- postgresql-9.0beta3.orig/src/test/regress/GNUmakefile 2010-07-05 14:54:38.000000000 -0400
++++ postgresql-9.0beta3/src/test/regress/GNUmakefile 2010-07-12 08:41:54.898529044 -0400
+@@ -141,7 +141,7 @@
+ pg_regress_call = ./pg_regress --inputdir=$(srcdir) --dlpath=. --multibyte=$(MULTIBYTE) $(NOLOCALE)
+
+ check: all
+- $(pg_regress_call) --temp-install=./tmp_check --top-builddir=$(top_builddir) --schedule=$(srcdir)/parallel_schedule $(MAXCONNOPT) $(TEMP_CONF)
++ $(pg_regress_call) --temp-install=./tmp_check --top-builddir=$(top_builddir) --schedule=$(srcdir)/parallel_schedule $(MAXCONNOPT) $(TEMP_CONF) --psqldir=/usr/lib/postgresql-${SLOT}/bin/
+
+ installcheck: all
+ $(pg_regress_call) --psqldir=$(PSQLDIR) --schedule=$(srcdir)/serial_schedule
diff -r 871206936ec2 -r c982d5c6f5eb dev-db/postgresql-server/files/postgresql.conf-9.0-r1
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/dev-db/postgresql-server/files/postgresql.conf-9.0-r1 Tue Dec 28 21:29:38 2010 +0100
@@ -0,0 +1,50 @@
+# PostgreSQL's Database Directory
+PGDATA="/var/lib/postgresql/9.0/data"
+
+# Options to pass to PostgreSQL's initdb.
+#PG_INITDB_OPTS="--locale=en_US.UTF-8"
+
+# PostgreSQL User
+PGUSER="postgres"
+
+# Which port and socket to bind PostgreSQL
+PGPORT="5432"
+
+# Extra options to run postmaster with, e.g.:
+# -N is the maximal number of client connections
+# -B is the number of shared buffers and has to be at least 2x the value for -N
+# Please read the man-page to postmaster for more options. Many of
+# these options can be set directly in the configuration file.
+#PGOPTS="-N 512 -B 1024"
+
+# Allow *_TIMEOUT to run its course.
+# Can be overriden by changing to '-W' (capital W)
+WAIT_FOR_START="-w"
+WAIT_FOR_STOP="-w"
+
+# How long to wait for server to start in seconds
+START_TIMEOUT=60
+
+# Ignore new connections and wait for clients to disconnect from server before
+# shutting down.
+# Set NICE_QUIT to "NO" to disable. NICE_TIMEOUT in seconds.
+NICE_QUIT="YES"
+NICE_TIMEOUT=60
+
+# Forecfully disconnect clients from server and shut down. This is performed
+# after NICE_QUIT. Terminating a client results in a rollback of open
+# transactions for that client.
+# Set RUDE_QUIT to "NO" to disable. RUDE_TIMEOUT in seconds.
+RUDE_QUIT="YES"
+RUDE_TIMEOUT=30
+
+# If the server still fails to shutdown, you can force it to quit by setting
+# this to yes and a recover-run will execute on the next startup.
+# Set FORCE_QUIT to "YES" to enable. FORCE_TIMEOUT in seconds.
+FORCE_QUIT="NO"
+FORCE_TIMEOUT=2
+
+# Pass extra environment variables. If you have to export environment variables
+# for the database process, this can be done here.
+# Don't forget to escape quotes.
+#PG_EXTRA_ENV="PGPASSFILE=\"/path/to/.pgpass\""
diff -r 871206936ec2 -r c982d5c6f5eb dev-db/postgresql-server/files/postgresql.init-9.0-r1
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/dev-db/postgresql-server/files/postgresql.init-9.0-r1 Tue Dec 28 21:29:38 2010 +0100
@@ -0,0 +1,136 @@
+#!/sbin/runscript
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-db/postgresql-server/files/postgresql.init-9.0-r1,v 1.1 2010/06/04 14:18:52 patrick Exp $
+
+opts="${opts} reload"
+
+depend() {
+ use net
+ if [ -L /etc/eselect/postgresql/service ] ; then
+ local p_service="$(for f in /etc/eselect/postgresql/service/* ; do . $f ; done ; echo $postgres_service )"
+ test "${p_service}" = "${SVCNAME}" && provide postgresql
+ fi
+}
+
+checkconfig() {
+ if [ ! -d "$PGDATA" ] ; then
+ eerror "Directory not found: $PGDATA"
+ eerror "Please make sure that PGDATA points to the right path."
+ eerror "You can run 'emerge postgresql-server --config' to setup a new database cluster."
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+
+ ebegin "Starting PostgreSQL"
+
+ if [ -f "$PGDATA/postmaster.pid" ] ; then
+ rm -f "$PGDATA/postmaster.pid"
+ fi
+
+ local retval
+
+ su -l ${PGUSER} \
+ -c "env PGDATA=\"${PGDATA}\" PGPORT=\"${PGPORT}\" ${PG_EXTRA_ENV} /usr/lib/postgresql-9.0/bin/pg_ctl start ${WAIT_FOR_START} -t ${START_TIMEOUT} -s -o '--silent-mode=true ${PGOPTS}'"
+ retval=$?
+
+ if [[ $retval != 0 ]] ; then
+ eend $retval
+ return $retval
+ fi
+
+# The following is to catch the case of an already running server
+# in which pg_ctl doesn't know to which server it connected to and
+# falsely reports the server as 'up'
+ sleep 2
+ if [ ! -f "$PGDATA/postmaster.pid" ] ; then
+ eerror "The PID file doesn't exist but pg_ctl reported a running server."
+ eerror "Please check whether there is another server running on the same port or read the log-file."
+ eend 1
+ return 1
+ fi
+
+ local pid=$(grep "^[0-9]\+" "$PGDATA/postmaster.pid")
+ ps -p "${pid}" &> /dev/null
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping PostgreSQL (this can take up to $(( ${NICE_TIMEOUT} + ${RUDE_TIMEOUT} + ${FORCE_TIMEOUT} )) seconds)"
+
+ local retval
+
+ if [[ "${NICE_QUIT}" != "NO" ]] ; then
+ su -l ${PGUSER} \
+ -c "env PGDATA=\"${PGDATA}\" PGPORT=\"${PGPORT}\" ${PG_EXTRA_ENV} /usr/lib/postgresql-9.0/bin/pg_ctl stop ${WAIT_FOR_STOP} -t ${NICE_TIMEOUT} -s -m smart"
+ retval=$?
+
+ if [[ $retval == 0 ]] ; then
+ eend $retval
+ return $retval
+ fi
+
+ ewarn "Shutting down the server gracefully failed."
+ ewarn "Probably because some clients did not disconnect within ${NICE_TIMEOUT} seconds."
+ else
+ ewarn "NICE_QUIT disabled."
+ ewarn "You really should have it enabled."
+ fi
+
+ if [[ "${RUDE_QUIT}" != "NO" ]] ; then
+ ewarn "RUDE_QUIT enabled."
+ ewarn "Going to shutdown the server anyway."
+
+ su -l ${PGUSER} \
+ -c "env PGDATA=\"${PGDATA}\" PGPORT=\"${PGPORT}\" ${PG_EXTRA_ENV} /usr/lib/postgresql-9.0/bin/pg_ctl stop ${WAIT_FOR_STOP} -t ${RUDE_TIMEOUT} -s -m fast"
+ retval=$?
+
+ if [[ $retval == 0 ]] ; then
+ eend $retval
+ return $retval
+ fi
+
+ eerror "Failed to shutdown server."
+ else
+ ewarn "RUDE_QUIT disabled."
+ fi
+
+ if [[ "${FORCE_QUIT}" == "YES" ]] ; then
+ ewarn "FORCE_QUIT enabled."
+ ewarn "Forcing server to shutdown."
+ ewarn "A recover-run will be executed on the next startup."
+
+ su -l ${PGUSER} \
+ -c "env PGDATA=\"${PGDATA}\" PGPORT=\"${PGPORT}\" ${PG_EXTRA_ENV} /usr/lib/postgresql-9.0/bin/pg_ctl stop ${WAIT_FOR_STOP} -t ${FORCE_TIMEOUT} -s -m immediate"
+
+ retval=$?
+
+ if [[ $retval == 0 ]] ; then
+ ewarn "Server forced down."
+ eend $retval
+ return $retval
+ fi
+
+ eerror "Forced shutdown failed!!!"
+ eerror "Something is wrong with your system."
+ eerror "Please take care of it manually."
+ eerror "Unable to stop server."
+ eend $retval
+ return $retval
+ else
+ ewarn "FORCE_QUIT disabled."
+ eerror "Unable to shutdown server."
+ eend 1
+ return 1
+ fi
+}
+
+reload() {
+ ebegin "Reloading PostgreSQL configuration"
+ su -l ${PGUSER} \
+ -c "env PGDATA=\"${PGDATA}\" PGPORT=\"${PGPORT}\" ${PG_EXTRA_ENV} /usr/lib/postgresql-9.0/bin/pg_ctl reload -s"
+ eend $?
+}
diff -r 871206936ec2 -r c982d5c6f5eb dev-db/postgresql-server/metadata.xml
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/dev-db/postgresql-server/metadata.xml Tue Dec 28 21:29:38 2010 +0100
@@ -0,0 +1,12 @@
+
+
+
+postgresql
+
+
diff -r 871206936ec2 -r c982d5c6f5eb dev-db/postgresql-server/postgresql-server-9.0.2.ebuild
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/dev-db/postgresql-server/postgresql-server-9.0.2.ebuild Tue Dec 28 21:29:38 2010 +0100
@@ -0,0 +1,282 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-db/postgresql-server/postgresql-server-9.0.1.ebuild,v 1.1 2010/10/06 14:58:10 patrick Exp $
+
+EAPI="2"
+PYTHON_DEPEND="python? 2"
+
+# weird test failures.
+RESTRICT="test"
+
+WANT_AUTOMAKE="none"
+inherit autotools eutils multilib python versionator
+
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd"
+
+DESCRIPTION="PostgreSQL server"
+HOMEPAGE="http://www.postgresql.org/"
+
+MY_PV=${PV/_/}
+SRC_URI="mirror://postgresql/source/v${MY_PV}/postgresql-${MY_PV}.tar.bz2"
+S=${WORKDIR}/postgresql-${MY_PV}
+
+LICENSE="POSTGRESQL"
+SLOT="$(get_version_component_range 1-2)"
+LINGUAS="af cs de es fa fr hr hu it ko nb pl pt_BR ro ru sk sl sv tr zh_CN zh_TW"
+IUSE="doc kernel_linux nls perl pg_legacytimestamp python selinux tcl uuid xml"
+
+for lingua in ${LINGUAS}; do
+ IUSE+=" linguas_${lingua}"
+done
+
+wanted_languages() {
+ local enable_langs
+
+ for lingua in ${LINGUAS} ; do
+ use linguas_${lingua} && enable_langs+="${lingua} "
+ done
+
+ echo -n ${enable_langs}
+}
+
+RDEPEND="~dev-db/postgresql-base-${PV}:${SLOT}[pg_legacytimestamp=,nls=]
+ perl? ( >=dev-lang/perl-5.6.1-r2 )
+ python? ( dev-python/egenix-mx-base )
+ selinux? ( sec-policy/selinux-postgresql )
+ tcl? ( >=dev-lang/tcl-8 )
+ uuid? ( dev-libs/ossp-uuid )
+ xml? ( dev-libs/libxml2 dev-libs/libxslt )"
+DEPEND="${RDEPEND}
+ sys-devel/flex
+ xml? ( dev-util/pkgconfig )"
+PDEPEND="doc? ( ~dev-db/postgresql-docs-${PV} )"
+
+pkg_setup() {
+ enewgroup postgres 70
+ enewuser postgres 70 /bin/bash /var/lib/postgresql postgres
+
+ if use python; then
+ python_set_active_version 2
+ fi
+}
+
+src_prepare() {
+ epatch "${FILESDIR}/postgresql-${SLOT}-common.3.patch" \
+ "${FILESDIR}/postgresql-${SLOT}-server.3.patch"
+
+ if use test; then
+ sed -e "s|/no/such/location|${S}/src/test/regress/tmp_check/no/such/location|g" -i src/test/regress/{input,output}/tablespace.source
+ else
+ echo "all install:" > "${S}/src/test/regress/GNUmakefile"
+ fi
+
+ eautoconf
+}
+
+src_configure() {
+ # eval is needed to get along with pg_config quotation of space-rich entities.
+ eval econf "$(/usr/$(get_libdir)/postgresql-${SLOT}/bin/pg_config --configure)" \
+ --disable-thread-safety \
+ $(use_with perl) \
+ $(use_with python) \
+ $(use_with tcl) \
+ $(use_with xml libxml) \
+ $(use_with xml libxslt) \
+ $(use_with uuid ossp-uuid) \
+ --with-system-tzdata="/usr/share/zoneinfo" \
+ --with-includes="/usr/include/postgresql-${SLOT}/" \
+ --with-libraries="/usr/$(get_libdir)/postgresql-${SLOT}/$(get_libdir)" \
+ "$(use_enable nls nls "$(wanted_languages)")"
+}
+
+src_compile() {
+ local bd
+ for bd in . contrib $(use xml && echo contrib/xml2); do
+ PATH="/usr/$(get_libdir)/postgresql-${SLOT}/bin:${PATH}" \
+ emake -C $bd -j1 || die "emake in $bd failed"
+ done
+}
+
+src_install() {
+ if use perl ; then
+ mv -f "${S}/src/pl/plperl/GNUmakefile" "${S}/src/pl/plperl/GNUmakefile_orig"
+ sed -e "s:\$(DESTDIR)\$(plperl_installdir):\$(plperl_installdir):" \
+ "${S}/src/pl/plperl/GNUmakefile_orig" > "${S}/src/pl/plperl/GNUmakefile"
+ fi
+
+ for bd in . contrib $(use xml && echo contrib/xml2) ; do
+ PATH="/usr/$(get_libdir)/postgresql-${SLOT}/bin:${PATH}" \
+ emake install -C $bd -j1 DESTDIR="${D}" || die "emake install in $bd failed"
+ done
+
+ rm -rf "${D}/usr/share/postgresql-${SLOT}/man/man7/" "${D}/usr/share/doc/postgresql-${SLOT}/html"
+ rm "${D}"/usr/share/postgresql-${SLOT}/man/man1/{clusterdb,create{db,lang,user},drop{db,lang,user},ecpg,pg_{config,dump,dumpall,restore},psql,reindexdb,vacuumdb}.1
+
+ dodoc README HISTORY doc/{README.*,TODO,bug.template}
+
+ dodir /etc/eselect/postgresql/slots/${SLOT}
+ cat > "${D}/etc/eselect/postgresql/slots/${SLOT}/service" <<-__EOF__
+ postgres_ebuilds="\${postgres_ebuilds} ${PF}"
+ postgres_service="postgresql-${SLOT}"
+ __EOF__
+
+ newinitd "${FILESDIR}/postgresql.init-${SLOT}-r1" postgresql-${SLOT} || die "Inserting init.d-file failed"
+ newconfd "${FILESDIR}/postgresql.conf-${SLOT}-r1" postgresql-${SLOT} || die "Inserting conf.d-file failed"
+
+ keepdir /var/run/postgresql
+ fperms 0770 /var/run/postgresql
+ fowners postgres:postgres /var/run/postgresql
+}
+
+pkg_postinst() {
+ eselect postgresql update
+ [[ "$(eselect postgresql show)" = "(none)" ]] && eselect postgresql set ${SLOT}
+ [[ "$(eselect postgresql show-service)" = "(none)" ]] && eselect postgresql set-service ${SLOT}
+
+ ewarn "Please note that the standard location of the socket has changed from /tmp to"
+ ewarn "/var/run/postgresql and you have to be in the 'postgres' group to access the"
+ ewarn "socket. This can break applications which have the standard location"
+ ewarn "hard-coded. If such an application links against the libpq, please reemerge"
+ ewarn "it. If that doesn't help or the application accesses the socket without using"
+ ewarn "libpq, please file a bug-report."
+ ewarn
+ ewarn "You can set PGOPTS='-k /tmp' in /etc/conf.d/postgresql-${SLOT} to restore the"
+ ewarn "original location."
+ ewarn
+
+ elog "Before initializing the database, you may want to edit PG_INITDB_OPTS so that it"
+ elog "contains your preferred locale and character encoding in:"
+ elog
+ elog " /etc/conf.d/postgresql-${SLOT}"
+ elog
+ elog "Then, execute the following command to setup the initial database environment:"
+ elog
+ elog " emerge --config =${CATEGORY}/${PF}"
+ elog
+ elog "The autovacuum function, which was in contrib, has been moved to the main"
+ elog "PostgreSQL functions starting with 8.1, and starting with 8.4 is now enabled by"
+ elog "default. You can disable it in the cluster's postgresql.conf."
+ elog
+ elog "The timestamp format is 64 bit integers now. If you upgrade from older"
+ elog "databases, this may force you to either do a dump and reload or enable"
+ elog "pg_legacytimestamp until you find time to do so. If the database can't start"
+ elog "please try enabling pg_legacytimestamp and rebuild."
+}
+
+pkg_postrm() {
+ eselect postgresql update
+}
+
+pkg_config() {
+ [[ -f /etc/conf.d/postgresql-${SLOT} ]] && source /etc/conf.d/postgresql-${SLOT}
+ [[ -z "${PGDATA}" ]] && PGDATA="/var/lib/postgresql/${SLOT}/data"
+
+ # environment.bz2 may not contain the same locale as the current system
+ # locale. Unset and source from the current system locale.
+ if [ -f /etc/env.d/02locale ]; then
+ unset LANG
+ unset LC_CTYPE
+ unset LC_NUMERIC
+ unset LC_TIME
+ unset LC_COLLATE
+ unset LC_MONETARY
+ unset LC_MESSAGES
+ unset LC_ALL
+ source /etc/env.d/02locale
+ [ -n "${LANG}" ] && export LANG
+ [ -n "${LC_CTYPE}" ] && export LC_CTYPE
+ [ -n "${LC_NUMERIC}" ] && export LC_NUMERIC
+ [ -n "${LC_TIME}" ] && export LC_TIME
+ [ -n "${LC_COLLATE}" ] && export LC_COLLATE
+ [ -n "${LC_MONETARY}" ] && export LC_MONETARY
+ [ -n "${LC_MESSAGES}" ] && export LC_MESSAGES
+ [ -n "${LC_ALL}" ] && export LC_ALL
+ fi
+
+ einfo "You can pass options to initdb by setting the PG_INITDB_OPTS variable."
+ einfo "More information can be found here:"
+ einfo " http://www.postgresql.org/docs/${SLOT}/static/creating-cluster.html"
+ einfo " http://www.postgresql.org/docs/${SLOT}/static/app-initdb.html"
+ einfo "Simply add the options you would have added to initdb to the PG_INITDB_OPTS"
+ einfo "variable."
+ einfo
+ einfo "You can change the directory where the database cluster is being created by"
+ einfo "setting the PGDATA variable."
+ einfo
+ einfo "PG_INITDB_OPTS is currently set to:"
+ einfo " \"${PG_INITDB_OPTS}\""
+ einfo "and the database cluster will be created in:"
+ einfo " \"${PGDATA}\""
+ einfo "Are you ready to continue? (Y/n)"
+ read answer
+ [ -z $answer ] && answer=Y
+ [ "$answer" == "Y" ] || [ "$answer" == "y" ] || die "aborted"
+
+ if [[ -f "${PGDATA}/PG_VERSION" ]] ; then
+ eerror "The given directory \"${PGDATA}\" already contains a database cluster."
+ die "cluster already exists"
+ fi
+
+ [ -z "${PG_MAX_CONNECTIONS}" ] && PG_MAX_CONNECTIONS="128"
+ einfo "Checking system parameters..."
+
+ if ! use kernel_linux ; then
+ SKIP_SYSTEM_TESTS=yes
+ einfo " Tests not supported on this OS (yet)"
+ fi
+
+ if [ -z ${SKIP_SYSTEM_TESTS} ] ; then
+ einfo "Checking whether your system supports at least ${PG_MAX_CONNECTIONS} connections..."
+
+ local SEMMSL=$(sysctl -n kernel.sem | cut -f1)
+ local SEMMNS=$(sysctl -n kernel.sem | cut -f2)
+ local SEMMNI=$(sysctl -n kernel.sem | cut -f4)
+ local SHMMAX=$(sysctl -n kernel.shmmax)
+
+ local SEMMSL_MIN=17
+ local SEMMNS_MIN=$(( ( ${PG_MAX_CONNECTIONS}/16 ) * 17 ))
+ local SEMMNI_MIN=$(( ( ${PG_MAX_CONNECTIONS}+15 ) / 16 ))
+ local SHMMAX_MIN=$(( 500000 + ( 30600 * ${PG_MAX_CONNECTIONS} ) ))
+
+ for p in SEMMSL SEMMNS SEMMNI SHMMAX ; do
+ if [ $(eval echo \$$p) -lt $(eval echo \$${p}_MIN) ] ; then
+ eerror "The value for ${p} $(eval echo \$$p) is below the recommended value $(eval echo \$${p}_MIN)"
+ eerror "You have now several options:"
+ eerror " - Change the mentioned system parameter"
+ eerror " - Lower the number of max.connections by setting PG_MAX_CONNECTIONS to a value lower than ${PG_MAX_CONNECTIONS}"
+ eerror " - Set SKIP_SYSTEM_TESTS in case you want to ignore this test completely"
+ eerror "More information can be found here:"
+ eerror " http://www.postgresql.org/docs/${SLOT}/static/kernel-resources.html"
+ die "System test failed."
+ fi
+ done
+ einfo "Passed."
+ else
+ einfo "Skipped."
+ fi
+
+ einfo "Creating the data directory ..."
+ mkdir -p "${PGDATA}"
+ chown -Rf postgres:postgres "${PGDATA}"
+ chmod 0700 "${PGDATA}"
+
+ einfo "Initializing the database ..."
+
+ su postgres -c "/usr/$(get_libdir)/postgresql-${SLOT}/bin/initdb --pgdata \"${PGDATA}\" ${PG_INITDB_OPTS}"
+
+ einfo
+ einfo "You can use the '${ROOT}/etc/init.d/postgresql-${SLOT}' script to run PostgreSQL"
+ einfo "instead of 'pg_ctl'."
+ einfo
+}
+
+src_test() {
+ einfo ">>> Test phase [check]: ${CATEGORY}/${PF}"
+ PATH="/usr/$(get_libdir)/postgresql-${SLOT}/bin:${PATH}" \
+ emake -j1 check || die "Make check failed. See above for details."
+
+ einfo "Yes, there are other tests which could be run."
+ einfo "... and no, we don't plan to add/support them."
+ einfo "For now, the main regressions tests will suffice. If you think other tests are"
+ einfo "necessary, please submit a bug including a patch for this ebuild to enable them."
+}